# Code coverage report for src/particle/Field.js

# all files / src/particle/ Field.js

100% Statements 1/1
100% Branches 0/0
0% Functions 0/1
100% Lines 1/1

    1
    2
    3
    4
    5
    6
    7
    8
    9
    10
    11
    12
    13
    14
    15
    16
    17
    18
    19

    1×

     import Base from '../core/Base';
    /**
     * @constructor clay.particle.Field
     * @extends clay.core.Base
     */
    var Field = Base.extend({}, {
        /**
         * Apply a field to the particle and update the particle velocity
         * @param  {clay.Vector3} velocity
         * @param  {clay.Vector3} position
         * @param  {number} weight
         * @param  {number} deltaTime
         * @memberOf clay.particle.Field.prototype
         */
        applyTo: function(velocity, position, weight, deltaTime) {}
    });

    export default Field;